0
1

Salve. In data 18/11/2016 ho effettuato gli ultimi aggiornamenti automatici sulla versione 12.04 di ubuntu. Da quel momento non visualizzo più le icone nel launcher unity che comunque continua a funzionare. Vorrei quindi ripristinarlo come prima, anche volendo mantenere gli aggiornamenti fatti. Suppongo che si tratti di un problema di compatibilità dei nuovi driver della scheda video, con i vecchi driver tutto funzionava bene. Ho una scheda video nvidia 9600 gt. Chi può aiutarmi? Grazie.

chiesto 19 Nov '16, 00:54

car_da_rally_84's gravatar image

car_da_rally_84
10258

Ho appena notato che premendo alt+tab posso scorrere le varie applicazioni aperte, ma non si visualizzano le icone dei programmi.

(19 Nov '16, 01:02) car_da_rally_84 car_da_rally_84's gravatar image

Entra nelle "Impostazioni di sistema" (puoi farlo dal menu che appare cliccando il pulsante di spegnimento), poi clicca su Aspetto, sulla scheda Comportamento e verifica che la voce, "Scomparsa automatica del Launcher", sia Off.

(19 Nov '16, 07:49) enzoge enzoge's gravatar image

@car_da_rally_84: scusa, ti ricordo che per le comunicazioni bisogna usare i commenti, non le risposte.

(19 Nov '16, 07:53) enzoge enzoge's gravatar image

la procedura l'ho fatta ed ho impostato su off, il launcher c'è e funziona ma è vuoto, nel senso che non si visualizzano le icone dei programmi nella barra.

(19 Nov '16, 18:43) car_da_rally_84 car_da_rally_84's gravatar image

Oltre a consigliarti di controllare nella scheda Aspetto che le icone non siano impostate troppo piccole, a riavviare il sistema, o a posizionarcele manualmente, non saprei cosa suggerirti. È la prima volta che io sappia, cerca di fare mente locale su quanto hai fatto, ed eventualmente apri un'altro tread, a parte le icone mancanti che non c'entrano, questo è risolto.

(19 Nov '16, 19:07) enzoge enzoge's gravatar image

I driver sono quelli proprietari o quelli liberi?

(19 Nov '16, 19:24) dadexix86 ♦♦ dadexix86's gravatar image

Chiedo scusa, ma non sono sicuro di aver capito bene o di essermi spiegato bene.

(21 Nov '16, 19:32) car_da_rally_84 car_da_rally_84's gravatar image

Il problema principale di cui chiedevo inizialmente non si è affatto risolto. volevo allegare delle catture di schermata per spiegarmi meglio, ma non ho la reputazione per farlo. In pratica sono riuscito solo ad impostare il launcher a scomparsa oppure fisso, ma le icone continuano a non essere visibili pur essendo presenti e funzionanti. Se ad esempio clicco sull'icona del browser chromium dal launcher, il browser parte e funziona normalmente, il problema è trovare l'icona sul launcher "alla cieca".

(21 Nov '16, 19:32) car_da_rally_84 car_da_rally_84's gravatar image

I driver sono proprietari, utilizzo la versione nvidia 304

(21 Nov '16, 19:32) car_da_rally_84 car_da_rally_84's gravatar image

ora ho provato anche a modificare la grandezza delle icone del launcher ma non cambia niente, il problema rimane.

(21 Nov '16, 19:37) car_da_rally_84 car_da_rally_84's gravatar image

@car_da_rally_84 quella scheda è ormai parecchio vecchiotta, è possibile che i driver proprietari facciano cilecca (trattandosi dei driver legacy per di più).

Se installi quelli liberi hai lo stesso problema?

(21 Nov '16, 20:14) dadexix86 ♦♦ dadexix86's gravatar image

Scusa l'ignoranza: mi pare di capire che l'ultima versione dei driver proprietari (304) potrebbe non essere compatibile, allora dovrei reinstallare una versione più vecchia dei driver proprietari, oppure posso installare quelli liberi.

Una domanda però: come si installano i driver liberi? Per caso basta levare i proprietari? Poi devo rifare l'aggiornamento dei driver?

(22 Nov '16, 01:29) car_da_rally_84 car_da_rally_84's gravatar image

Credo che selezionando la scheda dei driver aggiuntivi, dalle impostazioni degli aggiornamenti, il software vada in ricerca dei vari driver, e che da lì si possa scegliere quale usare.
Chiedo scusa, per errore avevo aggiunto la frase che ho cancellato.

(22 Nov '16, 07:12) enzoge enzoge's gravatar image

I 304 sono quelli vecchi :) quelli nuovi (36x) non supportano la tua scheda.

Per usare quelli liberi è sufficiente che disinstalli quelli proprietari. La procedura migliore per farlo è dal gestore dei driver, come consigliato da @ilgallinetta.

(22 Nov '16, 07:45) dadexix86 ♦♦ dadexix86's gravatar image

Dunque, ho disinstallato i driver proprietari dal gestore dei driver e dal punto di vista grafico sembra funzionare tutto correttamente. Suppongo che siano entrati in funzione i driver liberi, però noto un'anomalia nel funzionamento delle ventole, visto che ce n'è una che è rimasta molto accelerata (ad orecchio credo che sia quella della scheda video). Inoltre nel gestore degli aggiornamenti software mi da questo messaggio

(25 Nov '16, 23:09) car_da_rally_84 car_da_rally_84's gravatar image

“ New important security and hardware support update

Your current Hardware Enablement Stack (HWE) is going out of support on 2014-08-07. After this date security updates for critical parts (kernel and graphics stack) of your system will no longer be available.

For more information, please see: http://wiki.ubuntu.com/1204_HWE_EOL

(25 Nov '16, 23:10) car_da_rally_84 car_da_rally_84's gravatar image

chiedendomi anche di fare l'avanzamento cliccando sul tasto “Avanza”. Se ho ben capito significa che devo aggiornare i driver cliccando su “Avanza”, giusto? Spero che non significa che passerò anche ad ubuntu 14,04, non voglio fare l'avanzamento di tutto il sistema (almeno per il momento).

(25 Nov '16, 23:10) car_da_rally_84 car_da_rally_84's gravatar image

Ma i driver liberi, che ora presumo che sto usando, vanno aggiornati? Se si, come? Nel gestore dei driver mi visualizza solo quelli proprietari, i 173 ed i 304.

(25 Nov '16, 23:10) car_da_rally_84 car_da_rally_84's gravatar image

I driver vengono aggiornati automaticamente con gli aggiornamenti del sistema.

Quell'avanzamento che ti fa fare è un avanzamento di alcuni pacchetti per gestire lo stack hardware, come spiegato nella pagina che hai linkato. Non si tratta dell'avanzamento alla 14.04 (che è una delle alternative proposte, sempre lì nella pagina che hai linkato).

(26 Nov '16, 15:32) dadexix86 ♦♦ dadexix86's gravatar image

"Non si accende più" che vuol dire di preciso? Al GRUB ci arrivi? Alla schermata di Lightdm? Se accedi con un kernel più vecchio?

(26 Nov '16, 16:36) dadexix86 ♦♦ dadexix86's gravatar image

allora, credo di aver fatto un casino. lo accendo, ma parte solo con la più recente previous version di linux disponibile al grub. sembrerebbe che ora funziona con driver liberi, nel gestore driver mi segnala solo i 304 (non attivati) e la ventola della scheda video gira regolarmente come prima, cioè non al massimo, ma ad una velocità moderata e appropriata al funzionamento.

quindi tutto bene, ma non riesco a sfruttare l'ultimo aggiornamento de kernel.

prima di fare questo aggiornamento avevo messo provvisoriamente i driver proprietari 173, che anche andavano bene ma ora non trovo più.

(26 Nov '16, 16:53) car_da_rally_84 car_da_rally_84's gravatar image

Boh se il kernel vecchio funziona allora usa quello.

Prima di fare un aggionramento di quella portata sarebbe stato meglio disinstalalre tutti i programmi proprietari e quelli presi da fuori dai repository, per evitare che creassero conflitti.

(26 Nov '16, 16:58) dadexix86 ♦♦ dadexix86's gravatar image

se provo a far partire il kernel più recente sul grub (o anche altri precedenti che però non riesco ad avviare) mi chiede di far partire il sistema in una "modalità a bassa qualità grafica" (non ricordo le parole esatte) e se cerco di avviare mi apre una schermata nera con interfaccia alfanumerica in cui chiede una specie di nome utente che però è diverso dall'username abituale e che io non conosco o non ricordo più.

che problemi potrei avere ad usare il penultimo kernel per i prossimi mesi prima di mettere ubuntu 16.04?

(26 Nov '16, 17:00) car_da_rally_84 car_da_rally_84's gravatar image

un'altra cosa, quando la metterò la 16.04 ci potrebbero essere ancora problemi con i driver video, visto che la mia scheda video è vecchiotta?

ps: forse per quest'ultima domanda è meglio che apro un'altra discussione?

(26 Nov '16, 17:03) car_da_rally_84 car_da_rally_84's gravatar image

Nessuno, direi. I kernel sono abbastanza tutti sicuri, e se verrà fuori un altro grosso bug legato alla sicurezza è improbabile che sia nel kernel.

(26 Nov '16, 17:23) dadexix86 ♦♦ dadexix86's gravatar image

Ok, sono soddisfatto dell'esito della discussione e degli interventi fatti di conseguenza. Vi ringrazio moltissimo per l'aiuto e per la disponibilità. Riassumo brevemente la situazione: il problema iniziale si poteva benissimo risolvere levando i driver proprietari 304 e rimpiazzandoli con i 173 oppure con i liberi, che inizialmente funzionavano male perché acceleravano la ventola della GPU più del dovuto.

(29 Nov '16, 23:47) car_da_rally_84 car_da_rally_84's gravatar image

Aggiornare i driver poteva essere la soluzione, ma nel frattempo ho fatto l'aggiornamento dell' HWE con i driver 173 proprietari installati e ciò ha fatto si che l'aggiornamento non andasse a buon fine. L'aggiornamento dell' HWE infatti avrei dovuto farlo con i programmi (e driver) proprietari disinstallati.

(29 Nov '16, 23:48) car_da_rally_84 car_da_rally_84's gravatar image

Come conseguenza ora non riesco più ad usare l'ultima versione del kernel e sono costretto ad usarne una precedente ma visto che comunque tra qualche mese cambierò S. O. (passerò al 16.04) piuttosto che risolvere quest'ultimo problema preferisco usare ancora per qualche mese un kernel non aggiornato.

(29 Nov '16, 23:49) car_da_rally_84 car_da_rally_84's gravatar image

In definitiva ora sto usando un vecchio kernel con driver liberi (presumo aggiornati) senza avere ne problemi con le ventole e ne problemi di visualizzazione delle icone del launcher unity. Quindi per me il tread è risolto.

(29 Nov '16, 23:49) car_da_rally_84 car_da_rally_84's gravatar image

Non siamo sul forum, quindi non sono thread, e non sono risolti. Sono domande che vengono risposte e le cui risposte vengono accettate. Ti chiedo quindi di scrivere gli ultimi commenti in una risposta e poi accettarla, grazie.

(30 Nov '16, 21:37) dadexix86 ♦♦ dadexix86's gravatar image

Ok, sono soddisfatto dell'esito della discussione e degli interventi fatti di conseguenza. Vi ringrazio moltissimo per l'aiuto e per la disponibilità. Riassumo brevemente la situazione: il problema iniziale si poteva benissimo risolvere levando i driver proprietari 304 e rimpiazzandoli con i 173 oppure con i liberi, che inizialmente funzionavano male perché acceleravano la ventola della GPU più del dovuto.
Aggiornare i driver poteva essere la soluzione, ma nel frattempo ho fatto l'aggiornamento dell' HWE con i driver 173 proprietari installati e ciò ha fatto si che l'aggiornamento non andasse a buon fine. L'aggiornamento dell' HWE infatti avrei dovuto farlo con i tutti programmi proprietari (anche i driver) disinstallati.
Come conseguenza ora non riesco più ad usare l'ultima versione del kernel e sono costretto ad usarne una precedente ma visto che comunque tra qualche mese cambierò S. O. (passerò al 16.04) piuttosto che risolvere quest'ultimo problema preferisco usare ancora per qualche mese un kernel non aggiornato.
In definitiva ora sto usando un vecchio kernel con driver liberi (presumo aggiornati) senza avere ne problemi con le ventole e ne problemi di visualizzazione delle icone del launcher unity, il che mi va benissimo.

coll. permanente

ha risposto 06 Dic '16, 02:17

car_da_rally_84's gravatar image

car_da_rally_84
10258

modificato 06 Dic '16, 07:35

enzotib's gravatar image

enzotib ♦♦
14.0k112186

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×277
×186
×113

domanda posta: 19 Nov '16, 00:54

domanda visualizzata: 665 volte

ultimo aggiornamento: 06 Dic '16, 07:35

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.